/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef DBFLATDIR_H
#define DBFLATDIR_H

#include "Db.hpp"

class DbFlatDir : public Db {
  public:
    DbFlatDir(const char *dbPath,Db::Mode mode);

    ~DbFlatDir();

    void *fetch(const char *recordName,int *length) const;
    void store(const char *recordName,const void *record,int length);
    void deleteRecord(const char *recordName);
    void deleteDatabase();
  };

#endif
